jQuery(document).ready(function($) {

	 
	 // Check if dropdown is offscreen
	 	$(".zen-menu-horizontal li.parent").on('mouseenter mouseleave', function () {
	 		var item = $(this).index();
	 		$('.zen-menu-horizontal li').removeClass('zen-menu-offscreen');
	 	 
	 	    if(!$('html').hasClass('touch')) {
	 	   	 	//$('body').offscreen_check(item);
	 	   	 	
	 	   	}
	 	});
	 	
	 	
	 	$(".zen-menu-horizontal li.parent").on('mouseenter mouseleave', function (e) {
	 	    var elm = $('ul:first', this);
	 	    var off = elm .offset();
	 	    var l = off.left;
	 	    var w = elm.width();
	 	    var docW = $(window).width();
	 	
	 	    var isEntirelyVisible = (l+ w <= docW);
	 	    
	 	    if ( ! isEntirelyVisible ) {
	 	        $(this).addClass('zen-menu-offscreen');
	 	    } else {
	 	        $(this).removeClass('zen-menu-offscreen');
	 	    }
	 	});	 	
	 	
	 	
	 	// Touch devices
	 	if (Modernizr.touch) {   
	 		jQuery('li.parent > a').click(function(e){
	 		
	 			//If a menu item is a parent and a link then prevent default if sub is hidden
	 			if (!jQuery(this).closest('li.parent').hasClass('open')){
	 				e.preventDefault();
	 				jQuery(this).closest('li.parent').addClass('open');
	 			}
	 		});
	 		
	 		jQuery('body').click(function(e){
	 			//If there is a click elsewhere then remove the open class from parents
	 			if ( !jQuery(e.target).is('li.parent > a') ) {
	 				jQuery('.zen-menu li.parent').removeClass('open');
	 			}
	 		});
	 	}
	 	
	 	
	 	// Positioning stuff
	 	// Tab width
	 	var midColWidth = $('#midCol').width();
	 	$('#tabwrap').width(midColWidth);
	 	
	 	// Get height of banner
	 	var top = $('.banner-overlay').height();
	 	var bannerheight = $('#bannerwrap').attr('data-height');
		var topheight = $('#topwrap').height();
		var navheight = $('#navwrap').height();
		var logoheight = $('#logowrap').height();
		var bannerwrapheight = $('#bannerwrap').height() + 20;
		var toparea = topheight + navheight + logoheight + 20;
		var navcollapse = $('html').attr('data-navcollapse');
	
		
		if(toparea > top) {
			$('.banner-overlay,#image-wrapper').height(toparea + 105);
			$('#bannerwrap').css({'top': (toparea + 40) + 'px'});
			$('.grid-wrapper').css({'margin-top': bannerwrapheight + 28 + 'px'});	
		}
		else {
			// Position banner according to height of top area
			$('#bannerwrap').css({'top': (top - bannerheight) + 'px'});		
			$('#top-area').css({'min-height': top});

		}
	 	
	 	
	 	$(window).bind("debouncedresize", function() {
	 		
	 		// Reset Heights
	 		$('.banner-overlay').height(bannerheight);
	 		$('#image-wrapper').height('auto');
	 		$('#top-area').css({'min-height': 'none'});
	 		$('.grid-wrapper').css({'margin-top': '0px'});
	 		
	 		var navheight = $('#navwrap').height(); 
	 		$('#sticky-fill').height(navheight);
	 		
	 		// Positioning stuff
 			// Tab width
 			var midColWidth = $('#midCol').width();
 			$('#tabwrap').width(midColWidth);
 			
 			// Get height of banner
 			var top = $('.banner-overlay').height();
 			var bannerheight = $('#bannerwrap').height();
	 		var topheight = $('#topwrap').height();
	 		var logoheight = $('#logowrap').height();
	 		var toparea = topheight + navheight + logoheight;
	 	
	 		if(toparea > top) {
	 			
	 			$('.banner-overlay,#image-wrapper').height(toparea + 40);
	 			$('#bannerwrap').css({'top': (toparea + 40) + 'px'});
	 			
	 			
	 			if($(window).width() < navcollapse) {
	 				$('.grid-wrapper').css({'margin-top': bannerheight + 28 + 'px'});
	 			} 
	 		}
	 		
	 		else {
	 			// Position banner according to height of top area
	 			$('#image-wrapper').height(toparea);
	 			$('.banner-overlay').height(toparea);
	 			$('#bannerwrap').css({'top': (top - bannerheight) + 'px'});
	 			$('#top-area').css({'min-height': top});
	 		}
	 		
	 		// Trigger backstretch resize
	 		// Access the Backstretch instance
	 		if($('.backstretch').length > 0) {
		 		var instance = $('#image-wrapper').data("backstretch");
	
		 		// Call the resize method
		 		instance.resize();
	 		}
	 	});

});



(function ($) {
	
	// Checks to see if menu is offscreen and attaches zen-menu-offscreen class
	$.fn.offscreen_check = function (item) {
		var item = item + 1;
		var elm = $('ul:first', this);
		var off = elm .offset();
		var l = off.left;
		var w = elm.width() + 50;
		var docH = $(window).height();
		var docW = $(window).width();
		var isEntirelyVisible = (l+ w <= docW);
			         
		if ( ! isEntirelyVisible ) {
		    $('.zen-menu-horizontal li:nth-child(' + item + ')').addClass('zen-menu-offscreen');
		    
		} else {
		    $(this).parent().removeClass('zen-menu-offscreen');
		}
	};
	
	// Checks to see if menu is offscreen and attaches zen-menu-offscreen class
	$.fn.append_nav = function (collapse) {
		
		var offcanvastarget = '#off-canvas-menu';	
		var window_width = $(window).width();		
		
		if(window_width < collapse) {
			if(!$(offcanvastarget + ' ul').hasClass('simple-list')) {
				var nav = $('#menu ul').html();
				$(offcanvastarget + ' ul').append(nav).addClass('simple-list').parent().addClass('accordion');
			}
		}	
	}
})(jQuery);